<Container @value={{this.containerValue}} @deviceSize={{@deviceSize}}
  class="page-col-filters d-flex flex-wrap use-highlights" data-name={{@value.name}} @isEditor={{@isEditor}}
  data-path="{{@path}}.data.container" data-gid={{@value.gid}}>
  <View::GenericList data-gid={{@value.gid}} data-path="{{@path}}.data.filters" data-name={{@value.name}}
    @isEditor={{@isEditor}} @value={{@value.data.filters}} as |filter index|>
    <div class='state-filter {{unless filter.type "empty"}}' data-name={{@value.name}} data-path="{{@path}}.data.filters.{{index}}" data-gid={{@value.gid}} data-type="filter" data-editor="filter">
      {{#if (eq filter.type 'icons')}}
        <StateFilters::Icons @state={{@state}} @model={{@model}} @options={{filter.options}}
          @onChangeState={{@onChangeState}} />
      {{/if}}

      {{#if (eq filter.type 'location')}}
        <StateFilters::Location @state={{@state}} @onChangeState={{@onChangeState}} />
      {{/if}}

      {{#if (eq filter.type 'map feature')}}
        <StateFilters::MapFeature @state={{@state}} @options={{filter.options}} @onChangeState={{@onChangeState}} />
      {{/if}}

      {{#if (eq filter.type 'event repetition')}}
        <StateFilters::EventRepetition @state={{@state}} @options={{filter.options}}
          @onChangeState={{@onChangeState}} />
      {{/if}}

      {{#if (eq filter.type 'date')}}
        <StateFilters::Date @state={{@state}} @options={{filter.options}} @onChangeState={{@onChangeState}} />
      {{/if}}

      {{#if (eq filter.type 'calendar attribute')}}
        <StateFilters::CalendarAttribute @state={{@state}} @model={{@model}} @options={{filter.options}}
          @onChangeState={{@onChangeState}} />
      {{/if}}

      {{#if (eq filter.type 'feature attribute')}}
        <StateFilters::FeatureAttribute @state={{@state}} @model={{@model}} @options={{filter.options}}
          @onChangeState={{@onChangeState}} />
      {{/if}}

      {{#if (eq filter.type 'day of week')}}
        <StateFilters::DayOfWeek @state={{@state}} @model={{@model}} @options={{filter.options}}
          @onChangeState={{@onChangeState}} />
      {{/if}}
    </div>
  </View::GenericList>
</Container>